<body>
  <header class="navbar">
    <nav>
      <ul>
        <li><a routerLink="/home" class="nav-button">Home</a></li>
        <li><a routerLink="/about" class="nav-button">Advanced Search</a></li>
        <li><a routerLink="/services" class="nav-button">Create Deck</a></li>
        <li><a routerLink="/contact" class="nav-button">Collection</a></li>
        <li>
          <div class="search-bar">
            <input type="text" placeholder="Search..." class="search-input">
            <button type="button" class="search-button">Search</button>
          </div>
        </li>
      </ul>
    </nav>
  </header>
</body>
